Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707446 - dev-libs/libmirage-3.2.4 : fails to build with -fno-common or gcc-10
Summary: dev-libs/libmirage-3.2.4 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Michał Górny
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-30 19:15 UTC by Toralf Förster
Modified: 2020-08-10 02:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.59 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
dev-libs:libmirage-3.2.4:20200130-063934.log (dev-libs:libmirage-3.2.4:20200130-063934.log,39.75 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,260.85 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
environment (environment,89.66 KB, text/plain)
2020-01-30 19:15 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.03 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,3.81 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.84 KB, application/x-bzip)
2020-01-30 19:15 UTC, Toralf Förster
Details
gcc-10 patch (gcc-10.patch,687 bytes, patch)
2020-06-09 18:08 UTC, Andrea Postiglione
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-30 19:15:29 UTC
[22/122] /usr/bin/x86_64-pc-linux-gnu-gcc -DGETTEXT_PACKAGE=\"libmirage\" -DHAVE_CONFIG_H -DLOCALEDIR=\"/usr/share/locale\" -Dmirage_EXPORTS -I/var/tmp/portage/dev-libs/libmirage-3.2.4/work/libmirage-3.2.4 -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib64/libffi/include -I/usr/include/libmount -I/usr/include/blkid  -DNDEBUG -O2 -pipe -march=native -fno-common -fPIC   -std=c99 -Wall -Wextra -Wshadow -Wmissing-declarations -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wcast-align -Wno-sign-compare -Wno-cast-function-type -MD -MT CMakeFiles/mirage.dir/mirage/writer.c.o -MF CMakeFiles/mirage.dir/mirage/writer.c.o.d -o CMakeFiles/mirage.dir/mirage/writer.c.o -c /var/tmp/portage/dev-libs/libmirage-3.2.4/work/libmirage-3.2.4/mirage/writer.c
[23/122] : && /usr/bin/x86_64-pc-linux-gnu-gcc -fPIC -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -shared -Wl,-soname,libmirage.so.11 -o libmirage.so.11.0.0 CMakeFiles/mirage.dir/mirage/mirage.c.o CMakeFiles/mirage.dir/mirage/cdtext-coder.c.o CMakeFiles/mirage.dir/mirage/compat-input-stream.c.o CMakeFiles/mirage.dir/mirage/context.c.o CMakeFiles/mirage.dir/mirage/contextual.c.o CMakeFiles/mirage.dir/mirage/disc.c.o CMakeFiles/mirage.dir/mirage/error.c.o CMakeFiles/mirage.dir/mirage/file-stream.c.o CMakeFiles/mirage.dir/mirage/filter-stream.c.o CMakeFiles/mirage.dir/mirage/fragment.c.o CMakeFiles/mirage.dir/mirage/index.c.o CMakeFiles/mirage.dir/mirage/language.c.o CMakeFiles/mirage.dir/mirage/object.c.o CMakeFiles/mirage.dir/mirage/parser.c.o CMakeFiles/mirage.dir/mirage/plugin.c.o CMakeFiles/mirage.dir/mirage/sector.c.o CMakeFiles/mirage.dir/mirage/session.c.o CMakeFiles/mirage.dir/mirage/stream.c.o CMakeFiles/mirage.dir/mirage/track.c.o CMakeFiles/mirage.dir/mirage/utils.c.o CMakeFiles/mirage.dir/mirage/version.c.o CMakeFiles/mirage.dir/mirage/writer.c.o  -lgmodule-2.0  -lglib-2.0  -lgio-2.0  -lgobject-2.0  -lglib-2.0  -lgio-2.0  -lgobject-2.0 && :
FAILED: libmirage.so.11.0.0 
: && /usr/bin/x86_64-pc-linux-gnu-gcc -fPIC -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -shared -Wl,-soname,libmirage.so.11 -o libmirage.so.11.0.0 CMakeFiles/mirage.dir/mirage/mirage.c.o CMakeFiles/mirage.dir/mirage/cdtext-coder.c.o CMakeFiles/mirage.dir/mirage/compat-input-stream.c.o CMakeFiles/mirage.dir/mirage/context.c.o CMakeFiles/mirage.dir/mirage/contextual.c.o CMakeFiles/mirage.dir/mirage/disc.c.o CMakeFiles/mirage.dir/mirage/error.c.o CMakeFiles/mirage.dir/mirage/file-stream.c.o CMakeFiles/mirage.dir/mirage/filter-stream.c.o CMakeFiles/mirage.dir/mirage/fragment.c.o CMakeFiles/mirage.dir/mirage/index.c.o CMakeFiles/mirage.dir/mirage/language.c.o CMakeFiles/mirage.dir/mirage/object.c.o CMakeFiles/mirage.dir/mirage/parser.c.o CMakeFiles/mirage.dir/mirage/plugin.c.o CMakeFiles/mirage.dir/mirage/sector.c.o CMakeFiles/mirage.dir/mirage/session.c.o CMakeFiles/mirage.dir/mirage/stream.c.o CMakeFiles/mirage.dir/mirage/track.c.o CMakeFiles/mirage.dir/mirage/utils.c.o CMakeFiles/mirage.dir/mirage/version.c.o CMakeFiles/mirage.dir/mirage/writer.c.o  -lgmodule-2.0  -lglib-2.0  -lgio-2.0  -lgobject-2.0  -lglib-2.0  -lgio-2.0  -lgobject-2.0 && :
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/mirage.dir/mirage/cdtext-coder.c.o:(.bss+0x10): multiple definition of `crc16_1021_lut'; CMakeFiles/mirage.dir/mirage/mirage.c.o:(.bss+0x10): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/mirage.dir/mirage/cdtext-coder.c.o:(.bss+0x0): multiple definition of `ecma_130_scrambler_lut'; CMakeFiles/mirage.dir/mirage/mirage.c.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Thu, 30 Jan 2020 06:06:40 +0000

emerge -qpvO dev-libs/libmirage
[ebuild  N    ] dev-libs/libmirage-3.2.4  USE="introspection -doc"
Comment 1 Toralf Förster gentoo-dev 2020-01-30 19:15:32 UTC
Created attachment 608974 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-30 19:15:35 UTC
Created attachment 608976 [details]
dev-libs:libmirage-3.2.4:20200130-063934.log
Comment 3 Toralf Förster gentoo-dev 2020-01-30 19:15:38 UTC
Created attachment 608978 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-30 19:15:41 UTC
Created attachment 608980 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-30 19:15:43 UTC
Created attachment 608982 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-30 19:15:46 UTC
Created attachment 608984 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-30 19:15:50 UTC
Created attachment 608986 [details]
temp.tbz2
Comment 9 Andrea Postiglione 2020-06-09 18:08:11 UTC
Created attachment 644168 [details, diff]
gcc-10 patch
Comment 10 Andreas Sturmlechner gentoo-dev 2020-08-09 20:53:24 UTC
The attached patch works for me.
Comment 11 Larry the Git Cow gentoo-dev 2020-08-10 02:38:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d920a75eed32d30e6ad433371596f579e776928

commit 3d920a75eed32d30e6ad433371596f579e776928
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-08-10 02:23:51 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-08-10 02:25:07 +0000

    dev-libs/libmirage: Fix gcc-10 build
    
    Closes: https://bugs.gentoo.org/707446
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 .../libmirage/files/libmirage-3.2.4-gcc-10.patch   | 34 ++++++++++++++++++++++
 dev-libs/libmirage/libmirage-3.2.4.ebuild          |  4 +++
 2 files changed, 38 insertions(+)